package com.unis.base.server.dao;

import com.unis.base.common.vo.EnterpriseQualificationInformationHisqueryVO;
import com.unis.base.server.entity.QyzgQyzgxxHisDO;

import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface QyzgQyzgxxHisDao extends Mapper<QyzgQyzgxxHisDO> {


    int deleteByPrimaryKey(String id);

    int insert(QyzgQyzgxxHisDO record);

    int insertSelective(QyzgQyzgxxHisDO record);


    //QyzgQyzgxxHisDO selectByPrimaryKey(String id);

    /**
   	 * 获取最大企业编号
   	 * @return
   	 */
    String getMaxCodeById(@Param("pstr")String pstr);



    int updateByPrimaryKeySelective(QyzgQyzgxxHisDO record);

    int updateByPrimaryKey(QyzgQyzgxxHisDO record);

	List<QyzgQyzgxxHisDO> getList(EnterpriseQualificationInformationHisqueryVO qyzgQyzgxxHisqueryVO);

	QyzgQyzgxxHisDO selectUsePrimaryKey(String id);
}